aboutsummaryrefslogtreecommitdiffstats
path: root/test/io-002.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test/io-002.sh')
-rwxr-xr-xtest/io-002.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/test/io-002.sh b/test/io-002.sh
new file mode 100755
index 0000000..fadd222
--- /dev/null
+++ b/test/io-002.sh
@@ -0,0 +1,11 @@
+#!/bin/sh
+
+. "${TEST_INIT:-./test-init.sh}"
+data=$(mktemp -d)
+conf=$(mktemp -d)
+
+"$CALCURSE" -a -D "$data" -C "$conf"
+[ -f "$data/apts" ] && [ -f "$conf/conf" ] && failed=0 || failed=1
+
+rm -rf "$data" "$conf"
+exit "$failed"